summaryrefslogtreecommitdiff
path: root/tests/misc/stty-invalid
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/stty-invalid')
-rwxr-xr-xtests/misc/stty-invalid6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/misc/stty-invalid b/tests/misc/stty-invalid
index 2be98437e..3b035ecef 100755
--- a/tests/misc/stty-invalid
+++ b/tests/misc/stty-invalid
@@ -22,7 +22,7 @@ require_controlling_input_terminal_
trap '' TTOU # Ignore SIGTTOU
-saved_state=`stty -g` || fail=1
+saved_state=$(stty -g) || fail=1
stty $saved_state || fail=1
# Before coreutils-6.9.90, if stty were given an argument with 35 colons
@@ -34,8 +34,8 @@ stty $saved_state || fail=1
# For each of the following, with coreutils-6.9 and earlier,
# stty would fail to diagnose the error on at least Solaris 10.
hex_2_64=10000000000000000
-stty `echo $saved_state |sed 's/^[^:]*:/'$hex_2_64:/` 2>/dev/null && fail=1
-stty `echo $saved_state |sed 's/:[0-9a-f]*$/:'$hex_2_64/` 2>/dev/null && fail=1
+stty $(echo $saved_state |sed 's/^[^:]*:/'$hex_2_64:/) 2>/dev/null && fail=1
+stty $(echo $saved_state |sed 's/:[0-9a-f]*$/:'$hex_2_64/) 2>/dev/null && fail=1
# Just in case either of the above mistakenly succeeds (and changes
# the state of our tty), try to restore the initial state.